<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="tour-application" xml:lang="sv">

  <info>
    <link type="next" xref="tour-summary"/>
    <revision version="0.1" date="2013-06-17" status="stub"/>

    <credit type="author copyright">
      <name>Ekaterina Gerasimova</name>
      <email its:translate="no">kittykat3756@gmail.com</email>
      <years>2013</years>
    </credit>
    <credit type="author copyright">
      <name>Gordon Hill</name>
      <email its:translate="no">caseyweederman@gmail.com</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Slutför programmet och kör skriptet.</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Daniel Nylander</mal:name>
      <mal:email>po@danielnylander.se</mal:email>
      <mal:years>2007</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Anders Jonsson</mal:name>
      <mal:email>anders.jonsson@norsjovallen.se</mal:email>
      <mal:years>2017, 2018</mal:years>
    </mal:credit>
  </info>

  <title>Kör ditt program</title>
  <links type="prevnext" style="top"/>
  <links type="series" style="floatend">
    <title>Kom igång med GNOME</title>
  </links>

  <example>
    <p>Skapa det nya objektet <code>app</code> och anropa metoden <code>run</code> för att köra programmet:</p>
    <code>
let app = new HelloWorld();
app.application.run(ARGV);
</code>

    <p>Spara skriptet som <file>helloworld.js</file>, kör <cmd>chmod +x helloworld.js</cmd> för att markera det som körbart, och kör det med <cmd>./helloworld.js</cmd>.</p>
  </example>

  <media type="image" src="media/glade-result.png">
    <p>Skärmbild av ett enkelt fönster.</p>
  </media>
  <p>Detta fönster genereras från <app>Glade</app> och är länkat till <app>Gtk</app>-händelser. Du har nu ett fullt fungerande Gtk-program!</p>

  <links type="prevnext"/>
</page>
